cpt-extra

Extra utilities for cpt
git clone git://git.carbslinux.org/cpt-extra
Log | Files | Refs | README | LICENSE

commit 38e3bef4a6acd767f5664c773911f8a97fb3ca09
parent 47a3723632b82a0d3caf79dbe8ada1eae60dd976
Author: Cem Keylan <cem@ckyln.com>
Date:   Sat, 25 Jul 2020 11:25:36 +0300

cpt-extra: change kiss commands to cpt commands

Diffstat:
Malt/cpt-exec | 4++--
Malt/cpt-getchoice | 4++--
Mother/cpt-changelog | 4++--
Mother/cpt-orphans | 4++--
Mrepo/cpt-reporevdepends | 2+-
Mrepo/git/cpt-maintainer | 2+-
Drepo/git/cpt-update | 2--
7 files changed, 10 insertions(+), 12 deletions(-)

diff --git a/alt/cpt-exec b/alt/cpt-exec @@ -14,10 +14,10 @@ pkg=$1 [ "${2##/*}" ] && command=">usr>bin>$2" || command="$(printf '%s' "$2" | sed 's#/#>#g')" -[ -h "${file:=/var/db/kiss/choices/$pkg$command}" ] && { +[ -h "${file:=/var/db/cpt/choices/$pkg$command}" ] && { printf 'ERROR: %s\n' "$file is a symlink" exit 1 } shift 2 -exec "/var/db/kiss/choices/$pkg$command" "$@" +exec "/var/db/cpt/choices/$pkg$command" "$@" diff --git a/alt/cpt-getchoice b/alt/cpt-getchoice @@ -5,10 +5,10 @@ case "$1" in ''|--help|-h) printf '\033[1;33m-> \033[m%s\n' "usage: ${0##*/} [pkg] [command]" exit 0; esac -~/proj/carbslinux/kiss/kiss l "$1" >/dev/null +cpt-list "$1" >/dev/null [ "$2" ] -file="/var/db/kiss/choices/$1$(printf '%s' "$2" | sed 's#/#>#g')" +file="/var/db/cpt/choices/$1$(printf '%s' "$2" | sed 's#/#>#g')" [ -f "$file" ] || { printf '\033[1;33m!> \033[1;36m%s \033[m%s\n' "$1" "choice '$2' not found" >&2 exit 1 diff --git a/other/cpt-changelog b/other/cpt-changelog @@ -3,8 +3,8 @@ case "$1" in ''|--help|-h) printf '\033[1;33m-> \033[m%s\n' "usage: ${0##*/} [pkg]"; exit 0; esac -kiss s "$1" >/dev/null -cd "$(kiss s "$1" | sed 1q)" +cpt-search "$1" >/dev/null +cd "$(cpt-search --single "$1")" # Pipe to cat so it doesn't automatically paged # by git. diff --git a/other/cpt-orphans b/other/cpt-orphans @@ -10,12 +10,12 @@ case "$1" in ''|--help|-h) exit 0 esac -cd "$KISS_ROOT/var/db/kiss/installed/" +cd "$CPT_ROOT/var/db/cpt/installed/" for pkg in *; do case $pkg in baseinit|baselayout|gcc|pkgconf|e2fsprogs|musl|\ - make|busybox|bzip2|grub|kiss|git|linux-headers) + make|busybox|bzip2|grub|cpt|git|linux-headers) continue esac diff --git a/repo/cpt-reporevdepends b/repo/cpt-reporevdepends @@ -5,7 +5,7 @@ case "$1" in ''|--help|-h) printf 'usage: %s <pkg>\n' "${0##*/}"; exit 0; esac pkg="$1" -IFS=:; set -- $KISS_PATH; unset IFS +IFS=:; set -- $CPT_PATH; unset IFS for repo do # Change directory to the upper directory of the repository diff --git a/repo/git/cpt-maintainer b/repo/git/cpt-maintainer @@ -7,7 +7,7 @@ case "$1" in ''|--help|-h) printf '\033[1;33m-> \033[m%s\n' "usage: ${0##*/} <pkg>" ; exit 0 ; esac -kiss s "$1" | while read -r repo; do cd "$repo" +cpt-search "$1" | while read -r repo; do cd "$repo" m=$(git log -1 version 2>/dev/null) ||: m=${m##*Author: } m=${m%%>*} diff --git a/repo/git/cpt-update b/repo/git/cpt-update @@ -1,2 +0,0 @@ -#!/bin/sh -